//
//  ContentView.swift
//  MetalSwiftUI
//
//  Created by Nico Weber on 12/20/24.
//

import SwiftUI

struct ContentView: View {
    @State private var pos: Double = 0

    var body: some View {
        VStack {
            ScrollControl(pos: $pos, child: ScrollChild(pos: $pos))
        }
        .padding()
    }
}

#Preview {
    ContentView()
}
