//
//  ScrollChild.swift
//  MetalSwiftUI
//
//  Created by Nico Weber on 1/2/25.
//

import SwiftUI

struct ScrollChild: View {
    @Binding var pos: Double

    var body: some View {
        ZStack {
            MetalView(pos: $pos)
            Text("hi \(pos)")
        }
    }
}

#Preview {
    ScrollChild(pos:.constant(20))
}
